# Uses of Class
org.apache.solr.client.solrj.impl.LBSolrClient.Endpoint

Packages that use LBSolrClient.Endpoint
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.

## Uses of LBSolrClient.Endpoint in org.apache.solr.client.solrj.impl

Fields in org.apache.solr.client.solrj.impl with type parameters of type LBSolrClient.Endpoint
Modifier and Type
Field
Description
`protected List<LBSolrClient.Endpoint>`
LBSolrClient.Req.`endpoints`
Methods in org.apache.solr.client.solrj.impl that return LBSolrClient.Endpoint
Modifier and Type
Method
Description
`static LBSolrClient.Endpoint`
LBSolrClient.Endpoint.`from(String unknownUrl)`
Create an `LBSolrClient.Endpoint` from a provided Solr URL
`LBSolrClient.Endpoint`
LBSolrClient.EndpointWrapper.`getEndpoint()`
`LBSolrClient.Endpoint`
LBSolrClient.EndpointIterator.`nextOrError()`
`LBSolrClient.Endpoint`
LBSolrClient.EndpointIterator.`nextOrError(Exception previousEx)`
Methods in org.apache.solr.client.solrj.impl that return types with arguments of type LBSolrClient.Endpoint
Modifier and Type
Method
Description
`List<LBSolrClient.Endpoint>`
LBSolrClient.Req.`getEndpoints()`
Methods in org.apache.solr.client.solrj.impl with parameters of type LBSolrClient.Endpoint
Modifier and Type
Method
Description
`void`
LBSolrClient.`addSolrServer(LBSolrClient.Endpoint endpoint)`
`protected LBSolrClient.EndpointWrapper`
LBSolrClient.`createServerWrapper(LBSolrClient.Endpoint endpoint)`
`protected Exception`
LBSolrClient.`doRequest(LBSolrClient.Endpoint baseUrl, LBSolrClient.Req req, LBSolrClient.Rsp rsp, boolean isNonRetryable, boolean isZombie)`
`protected HttpSolrClientBase`
LBAsyncSolrClient.`getClient(LBSolrClient.Endpoint endpoint)`
`protected abstract SolrClient`
LBSolrClient.`getClient(LBSolrClient.Endpoint endpoint)`
`protected void`
LBSolrClient.`makeServerAZombie(LBSolrClient.Endpoint endpoint)`
`protected Exception`
LBSolrClient.`makeServerAZombie(LBSolrClient.Endpoint endpoint, Exception e)`
`String`
LBSolrClient.`removeSolrServer(LBSolrClient.Endpoint endpoint)`
`protected void`
LBSolrClient.`reviveZombieServer(LBSolrClient.Endpoint endpoint)`
Constructors in org.apache.solr.client.solrj.impl with parameters of type LBSolrClient.Endpoint
Modifier
Constructor
Description
``
`Builder(C solrClient, LBSolrClient.Endpoint... endpoints)`
Constructor parameters in org.apache.solr.client.solrj.impl with type arguments of type LBSolrClient.Endpoint
Modifier
Constructor
Description
`protected`
`LBSolrClient(List<LBSolrClient.Endpoint> solrEndpoints)`
``
`Req(SolrRequest<?> request, Collection<LBSolrClient.Endpoint> endpoints)`
``
`Req(SolrRequest<?> request, Collection<LBSolrClient.Endpoint> endpoints, Integer numServersToTry)`